- Cal3D 0.11 API Reference -

Static Public Member Functions | List of all members
CalLoader Class Reference

The loader class. More...

`#include <loader.h>`

## Static Public Member Functions

static CalCoreAnimationPtr | loadCoreAnimation (const std::string &strFilename, CalCoreSkeleton *skel=NULL)
| Loads a core animation instance.
static CalCoreMaterialPtr | loadCoreMaterial (const std::string &strFilename)
| Loads a core material instance.
static CalCoreMeshPtr | loadCoreMesh (const std::string &strFilename)
| Loads a core mesh instance.
static CalCoreSkeletonPtr | loadCoreSkeleton (const std::string &strFilename)
| Loads a core skeleton instance.
static CalCoreAnimationPtr | loadCoreAnimation (std::istream &inputStream, CalCoreSkeleton *skel=NULL)
| Loads a core animation instance.
static CalCoreMaterialPtr | loadCoreMaterial (std::istream &inputStream)
| Loads a core material instance.
static CalCoreMeshPtr | loadCoreMesh (std::istream &inputStream)
| Loads a core mesh instance.
static CalCoreSkeletonPtr | loadCoreSkeleton (std::istream &inputStream)
| Loads a core skeleton instance.
static CalCoreAnimationPtr | loadCoreAnimation (void *inputBuffer, CalCoreSkeleton *skel=NULL)
| Loads a core animation instance.
static CalCoreMaterialPtr | loadCoreMaterial (void *inputBuffer)
| Loads a core material instance.
static CalCoreMeshPtr | loadCoreMesh (void *inputBuffer)
| Loads a core mesh instance.
static CalCoreSkeletonPtr | loadCoreSkeleton (void *inputBuffer)
| Loads a core skeleton instance.
static CalCoreAnimationPtr | loadCoreAnimation (CalDataSource &inputSrc, CalCoreSkeleton *skel=NULL)
| Loads a core animation instance.
static CalCoreMaterialPtr | loadCoreMaterial (CalDataSource &inputSrc)
| Loads a core material instance.
static CalCoreMeshPtr | loadCoreMesh (CalDataSource &inputSrc)
| Loads a core mesh instance.
static CalCoreSkeletonPtr | loadCoreSkeleton (CalDataSource &inputSrc)
| Loads a core skeleton instance.
static void | setLoadingMode (int flags)
| Sets optional flags which affect how the model is loaded into memory.

## Detailed Description

The loader class.

## Member Function Documentation

## ◆ loadCoreAnimation() [1/4]

CalCoreAnimationPtr CalLoader::loadCoreAnimation | ( | CalDataSource & | dataSrc,
|  | CalCoreSkeleton * | skel = NULL )

static

Loads a core animation instance.

This function loads a core animation instance from a data source.

Parameters

  dataSrc | The data source to load the core animation instance from.

Returns
  One of the following values:
  - a pointer to the core animation
  - 0 if an error happened

## ◆ loadCoreAnimation() [2/4]

CalCoreAnimationPtr CalLoader::loadCoreAnimation | ( | const std::string & | strFilename,
|  | CalCoreSkeleton * | skel = NULL )

static

Loads a core animation instance.

This function loads a core animation instance from a file.

Parameters

  strFilename | The file to load the core animation instance from.

Returns
  One of the following values:
  - a pointer to the core animation
  - 0 if an error happened

## ◆ loadCoreAnimation() [3/4]

CalCoreAnimationPtr CalLoader::loadCoreAnimation | ( | std::istream & | inputStream,
|  | CalCoreSkeleton * | skel = NULL )

static

Loads a core animation instance.

This function loads a core animation instance from an input stream.

Parameters

  inputStream | The stream to load the core animation instance from. This stream should be initialized and ready to be read from.

Returns
  One of the following values:
  - a pointer to the core animation
  - 0 if an error happened

## ◆ loadCoreAnimation() [4/4]

CalCoreAnimationPtr CalLoader::loadCoreAnimation | ( | void * | inputBuffer,
|  | CalCoreSkeleton * | skel = NULL )

static

Loads a core animation instance.

This function loads a core animation instance from a memory buffer.

Parameters

  inputBuffer | The memory buffer to load the core animation instance from. This buffer should be initialized and ready to be read from.

Returns
  One of the following values:
  - a pointer to the core animation
  - 0 if an error happened

## ◆ loadCoreMaterial() [1/4]

CalCoreMaterialPtr CalLoader::loadCoreMaterial | ( | CalDataSource & | dataSrc | ) |

static

Loads a core material instance.

This function loads a core material instance from a data source.

Parameters

  dataSrc | The data source to load the core material instance from.

Returns
  One of the following values:
  - a pointer to the core material
  - 0 if an error happened

## ◆ loadCoreMaterial() [2/4]

CalCoreMaterialPtr CalLoader::loadCoreMaterial | ( | const std::string & | strFilename | ) |

static

Loads a core material instance.

This function loads a core material instance from a file.

Parameters

  strFilename | The file to load the core material instance from.

Returns
  One of the following values:
  - a pointer to the core material
  - 0 if an error happened

## ◆ loadCoreMaterial() [3/4]

CalCoreMaterialPtr CalLoader::loadCoreMaterial | ( | std::istream & | inputStream | ) |

static

Loads a core material instance.

This function loads a core material instance from an input stream.

Parameters

  inputStream | The stream to load the core material instance from. This stream should be initialized and ready to be read from.

Returns
  One of the following values:
  - a pointer to the core material
  - 0 if an error happened

## ◆ loadCoreMaterial() [4/4]

CalCoreMaterialPtr CalLoader::loadCoreMaterial | ( | void * | inputBuffer | ) |

static

Loads a core material instance.

This function loads a core material instance from a memory buffer.

Parameters

  inputBuffer | The memory buffer to load the core material instance from. This buffer should be initialized and ready to be read from.

Returns
  One of the following values:
  - a pointer to the core material
  - 0 if an error happened

## ◆ loadCoreMesh() [1/4]

CalCoreMeshPtr CalLoader::loadCoreMesh | ( | CalDataSource & | dataSrc | ) |

static

Loads a core mesh instance.

This function loads a core mesh instance from a data source.

Parameters

  dataSrc | The data source to load the core mesh instance from.

Returns
  One of the following values:
  - a pointer to the core mesh
  - 0 if an error happened

## ◆ loadCoreMesh() [2/4]

CalCoreMeshPtr CalLoader::loadCoreMesh | ( | const std::string & | strFilename | ) |

static

Loads a core mesh instance.

This function loads a core mesh instance from a file.

Parameters

  strFilename | The file to load the core mesh instance from.

Returns
  One of the following values:
  - a pointer to the core mesh
  - 0 if an error happened

## ◆ loadCoreMesh() [3/4]

CalCoreMeshPtr CalLoader::loadCoreMesh | ( | std::istream & | inputStream | ) |

static

Loads a core mesh instance.

This function loads a core mesh instance from an input stream.

Parameters

  inputStream | The stream to load the core mesh instance from. This stream should be initialized and ready to be read from.

Returns
  One of the following values:
  - a pointer to the core mesh
  - 0 if an error happened

## ◆ loadCoreMesh() [4/4]

CalCoreMeshPtr CalLoader::loadCoreMesh | ( | void * | inputBuffer | ) |

static

Loads a core mesh instance.

This function loads a core mesh instance from a memory buffer.

Parameters

  inputBuffer | The memory buffer to load the core mesh instance from. This buffer should be initialized and ready to be read from.

Returns
  One of the following values:
  - a pointer to the core mesh
  - 0 if an error happened

## ◆ loadCoreSkeleton() [1/4]

CalCoreSkeletonPtr CalLoader::loadCoreSkeleton | ( | CalDataSource & | dataSrc | ) |

static

Loads a core skeleton instance.

This function loads a core skeleton instance from a data source.

Parameters

  dataSrc | The data source to load the core skeleton instance from.

Returns
  One of the following values:
  - a pointer to the core skeleton
  - 0 if an error happened

## ◆ loadCoreSkeleton() [2/4]

CalCoreSkeletonPtr CalLoader::loadCoreSkeleton | ( | const std::string & | strFilename | ) |

static

Loads a core skeleton instance.

This function loads a core skeleton instance from a file.

Parameters

  strFilename | The file to load the core skeleton instance from.

Returns
  One of the following values:
  - a pointer to the core skeleton
  - 0 if an error happened

## ◆ loadCoreSkeleton() [3/4]

CalCoreSkeletonPtr CalLoader::loadCoreSkeleton | ( | std::istream & | inputStream | ) |

static

Loads a core skeleton instance.

This function loads a core skeleton instance from an input stream.

Parameters

  inputStream | The stream to load the core skeleton instance from. This stream should be initialized and ready to be read from.

Returns
  One of the following values:
  - a pointer to the core skeleton
  - 0 if an error happened

## ◆ loadCoreSkeleton() [4/4]

CalCoreSkeletonPtr CalLoader::loadCoreSkeleton | ( | void * | inputBuffer | ) |

static

Loads a core skeleton instance.

This function loads a core skeleton instance from a memory buffer.

Parameters

  inputBuffer | The memory buffer to load the core skeleton instance from. This buffer should be initialized and ready to be read from.

Returns
  One of the following values:
  - a pointer to the core skeleton
  - 0 if an error happened

## ◆ setLoadingMode()

void CalLoader::setLoadingMode | ( | int | flags | ) |

static

Sets optional flags which affect how the model is loaded into memory.

This function sets the loading mode for all future loader calls.

Parameters

  flags

  A boolean OR of any of the following flags
  - LOADER_ROTATE_X_AXIS will rotate the mesh 90 degrees about the X axis, which has the effect of swapping Y/Z coordinates.
  - LOADER_INVERT_V_COORD will substitute (1-v) for any v texture coordinate to eliminate the need for texture inversion after export.

The documentation for this class was generated from the following files:

- loader.h
- loader.cpp

Generated by The Cal3D Team with Doxygen 1.15.0